> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/scrollingdirection.md).

# ScrollingDirection

## Overview

ScrollingDirection는 스크롤 가능한 영역의 스크롤 방향을 지정하는 Enum입니다.

ScrollingFrame 클래스에서 ScrollingDirection 속성으로 사용되며, 사용자가 콘텐츠를 스크롤할 수 있는 방향을 결정합니다.

## Items

| Name | Value | Description                |
| ---- | ----- | -------------------------- |
| X    | 1     | 가로(X축) 방향으로만 스크롤이 가능합니다.   |
| Y    | 2     | 세로(Y축) 방향으로만 스크롤이 가능합니다.   |
| XY   | 4     | 가로와 세로 모든 방향으로 스크롤이 가능합니다. |

## See also

{% content-ref url="/pages/3ZD3aesnKsNkb6DFgwBk" %}
[ScrollingFrame](/korean/development/api-reference/classes/scrollingframe.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/scrollingdirection.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
